package it.integry.integrywmsnative.gest.ordini_uscita_elenco.ui;

import androidx.annotation.ColorInt;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.gest.ordini_uscita_elenco.OrdiniUscitaElencoDTO;

public class OrdiniUscitaElencoListModel implements Cloneable {
    private String groupTitle;

    private String description;
    private String subDescription;
    private String rightDescription;
    private String rightSubDescription;

    private @ColorInt Integer etichettaColor;

    private boolean hidden;
    private BindableBoolean selected = new BindableBoolean();


    private OrdiniUscitaElencoDTO originalModel;


    public String getGroupTitle() {
        return groupTitle;
    }

    public OrdiniUscitaElencoListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public OrdiniUscitaElencoListModel setDescription(String description) {
        this.description = description;
        return this;
    }

    public String getSubDescription() {
        return subDescription;
    }

    public OrdiniUscitaElencoListModel setSubDescription(String subDescription) {
        this.subDescription = subDescription;
        return this;
    }

    public String getRightDescription() {
        return rightDescription;
    }

    public OrdiniUscitaElencoListModel setRightDescription(String rightDescription) {
        this.rightDescription = rightDescription;
        return this;
    }

    public String getRightSubDescription() {
        return rightSubDescription;
    }

    public OrdiniUscitaElencoListModel setRightSubDescription(String rightSubDescription) {
        this.rightSubDescription = rightSubDescription;
        return this;
    }

    public @ColorInt Integer getEtichettaColor() {
        return etichettaColor;
    }

    public OrdiniUscitaElencoListModel setEtichettaColor(@ColorInt Integer etichettaColor) {
        this.etichettaColor = etichettaColor;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public OrdiniUscitaElencoListModel setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }

    public BindableBoolean getSelectedObservable() {
        return selected;
    }

    public OrdiniUscitaElencoDTO getOriginalModel() {
        return originalModel;
    }

    public OrdiniUscitaElencoListModel setOriginalModel(OrdiniUscitaElencoDTO originalModel) {
        this.originalModel = originalModel;
        return this;
    }
}
